Hermos API

Get Entitlements

GET/entitlements

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

product*string
Length1 <= length
subject?string
customer?string

Opaque customer ID.

Match^cst_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/entitlements?product=string"
{  "product": "string",  "subject_ref": "string",  "revision": 0,  "access": true,  "state": "trial",  "features": {    "property1": true,    "property2": true  },  "next_change_at": "2019-08-24T14:15:22Z",  "entitlements": [    {      "id": "string",      "source": {        "type": "subscription",        "id": "string",        "base_item": "string"      },      "customer": "string",      "state": "trial",      "access": true,      "access_until": "2019-08-24T14:15:22Z",      "next_change_at": "2019-08-24T14:15:22Z",      "paid_through": "2019-08-24T14:15:22Z",      "trial_ends_at": "2019-08-24T14:15:22Z",      "grace_ends_at": "2019-08-24T14:15:22Z",      "scheduled_end_at": "2019-08-24T14:15:22Z",      "items": [        {          "subscription_item": "string",          "plan": "string",          "price": "string",          "quantity": 0,          "features": {            "property1": true,            "property2": true          },          "windows": [            {              "from": "2019-08-24T14:15:22Z",              "until": "2019-08-24T14:15:22Z",              "plan": "string",              "price": "string",              "quantity": 0,              "features": {                "property1": true,                "property2": true              }            }          ],          "access_until": "2019-08-24T14:15:22Z"        }      ],      "features": {        "property1": true,        "property2": true      },      "reason": "superseded",      "version": 1,      "computed_at": "2019-08-24T14:15:22Z"    }  ],  "as_of": "2019-08-24T14:15:22Z",  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}